Get Brand Feedback By Id
Get feedback about a brand by ID. This endpoint can be used after creating or revetting a brand.
Possible values for .category[].id:
TAX_ID- Data mismatch related to tax id and its associated properties.STOCK_SYMBOL- Non public entity registered as a public for profit entity or the stock information mismatch.GOVERNMENT_ENTITY- Non government entity registered as a government entity. Must be a U.S. government entity.NONPROFIT- Not a recognized non-profit entity. No IRS tax-exempt status found.OTHERS- Details of the data misrepresentation if any.
GET
/
10dlc
/
brand_feedback
/
{brandId}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.messaging10dlc.brand.getFeedback('brandId');
console.log(response.brandId);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.messaging_10dlc.brand.get_feedback(
"brandId",
)
print(response.brand_id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Messaging10dlc.Brand.GetFeedback(context.TODO(), "brandId")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.BrandID)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messaging10dlc.brand.BrandGetFeedbackParams;
import com.telnyx.sdk.models.messaging10dlc.brand.BrandGetFeedbackResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
BrandGetFeedbackResponse response = client.messaging10dlc().brand().getFeedback("brandId");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.messaging_10dlc.brand.get_feedback("brandId")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->messaging10dlc->brand->getFeedback('brandId');
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-10dlc:brand get-feedback \
--api-key 'My API Key' \
--brand-id brandIdcurl --request GET \
--url https://api.telnyx.com/v2/10dlc/brand_feedback/{brandId} \
--header 'Authorization: Bearer <token>'{
"brandId": "d88dd2aa-1bb9-4ef0-9ec8-1752b80316a5",
"category": [
{
"id": "TAX_ID",
"displayName": "Tax Id",
"description": "Tax Id does not match with the company name or business type.",
"fields": [
"ein",
"companyName",
"entityType"
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"errors": [
{
"code": "10007",
"title": "Unexpected error",
"detail": "An unexpected error occured."
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the brand.
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.messaging10dlc.brand.getFeedback('brandId');
console.log(response.brandId);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.messaging_10dlc.brand.get_feedback(
"brandId",
)
print(response.brand_id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Messaging10dlc.Brand.GetFeedback(context.TODO(), "brandId")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.BrandID)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messaging10dlc.brand.BrandGetFeedbackParams;
import com.telnyx.sdk.models.messaging10dlc.brand.BrandGetFeedbackResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
BrandGetFeedbackResponse response = client.messaging10dlc().brand().getFeedback("brandId");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.messaging_10dlc.brand.get_feedback("brandId")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->messaging10dlc->brand->getFeedback('brandId');
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-10dlc:brand get-feedback \
--api-key 'My API Key' \
--brand-id brandIdcurl --request GET \
--url https://api.telnyx.com/v2/10dlc/brand_feedback/{brandId} \
--header 'Authorization: Bearer <token>'{
"brandId": "d88dd2aa-1bb9-4ef0-9ec8-1752b80316a5",
"category": [
{
"id": "TAX_ID",
"displayName": "Tax Id",
"description": "Tax Id does not match with the company name or business type.",
"fields": [
"ein",
"companyName",
"entityType"
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"errors": [
{
"code": "10007",
"title": "Unexpected error",
"detail": "An unexpected error occured."
}
]
}